Expression.Op (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.plan

## Enum Expression.Op

- java.lang.Object
- - java.lang.Enum<Expression.Op>
  - - org.apache.cassandra.index.sasi.plan.Expression.Op

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Expression.Op>
  Enclosing class:
    Expression

      public static enum Expression.Op
      extends java.lang.Enum<Expression.Op>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTAINS`
    `EQ`
    `MATCH`
    `NOT_EQ`
    `PREFIX`
    `RANGE`
    `SUFFIX`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Expression.Op` | `valueOf(Operator operator)`
    `static Expression.Op` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Expression.Op[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQ

          public static final Expression.Op EQ

    - #### MATCH

          public static final Expression.Op MATCH

    - #### PREFIX

          public static final Expression.Op PREFIX

    - #### SUFFIX

          public static final Expression.Op SUFFIX

    - #### CONTAINS

          public static final Expression.Op CONTAINS

    - #### NOT_EQ

          public static final Expression.Op NOT_EQ

    - #### RANGE

          public static final Expression.Op RANGE

  - ### Method Detail

    - #### values

          public static Expression.Op[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Expression.Op c : Expression.Op.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Expression.Op valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static Expression.Op valueOf(Operator operator)

Copyright © 2018 The Apache Software Foundation